VTK 5.0 and QT support

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

VTK 5.0 and QT support

Aleks Malyushytsky
Hi,
 
I am new to VTK and CMake and have some troubles to make them work together.
(system: Windows XP, MSVC 6.0, QT 3.3.5,VTK 5.0)
 
First I downloaded CMake and VTK 5.0, created compatible to my comiler projects with CMake, compiled VTK.
 
Now I don't really know what to do. I have not found any way to turn on QT support in steps above.
 
But I found 2 folders : \GUISupport\Qt and  \Install\Examples\GUI\Qt in my installation folder so I tried to use CMake for these folders (specified desired QT version -3).
None of attempts succeded.
 
I asume I am doing something wrong and missed something importat..
Could anybody tell me what I should do to add QT 3.3.5 support to VTK 5.0.0 in order to be able to compile existing examples?
 
Thanks in advance,
Alex
 
 
 
 
 
 
 
 
 
.
 
 

__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com
_______________________________________________
This is the private VTK discussion list.
Please keep messages on-topic. Check the FAQ at: http://www.vtk.org/Wiki/VTK_FAQ
Follow this link to subscribe/unsubscribe:
http://www.vtk.org/mailman/listinfo/vtkusers

Reply | Threaded
Open this post in threaded view
|

Re: VTK 5.0 and QT support

Moreland, Kenneth
Set the following values in CMake for VTK.

VTK_USE_GUISUPPORT ON
VTK_USE_QVTK ON

The latter will only be available after the former is set.  This will build
the QVTK and QVTKWidgetPlugin libraries.  The source for these libraries is
in VTK/GUISupport/Qt.

-Ken

On 2/8/06 3:36 PM, "Aleks Malyushytsky" <[hidden email]> wrote:

> Hi,
>    
>   I am new to VTK and CMake and have some troubles to make them work together.
>   (system: Windows XP, MSVC 6.0, QT 3.3.5,VTK 5.0)
>    
>   First I downloaded CMake and VTK 5.0, created compatible to my comiler
> projects with CMake, compiled VTK.
>    
>   Now I don't really know what to do. I have not found any way to turn on QT
> support in steps above.
>    
>   But I found 2 folders : \GUISupport\Qt and  \Install\Examples\GUI\Qt in my
> installation folder so I tried to use CMake for these folders (specified
> desired QT version -3).
>   None of attempts succeded.
>    
>   I asume I am doing something wrong and missed something importat..
>   Could anybody tell me what I should do to add QT 3.3.5 support to VTK 5.0.0
> in order to be able to compile existing examples?
>    
>   Thanks in advance,
>   Alex
>    
>    
>    
>    
>    
>    
>    
>    
>    
>   .
>    
>    
>
> __________________________________________________
> Do You Yahoo!?
> Tired of spam?  Yahoo! Mail has the best spam protection around
> http://mail.yahoo.com
> _______________________________________________
> This is the private VTK discussion list.
> Please keep messages on-topic. Check the FAQ at:
> http://www.vtk.org/Wiki/VTK_FAQ
> Follow this link to subscribe/unsubscribe:
> http://www.vtk.org/mailman/listinfo/vtkusers


_______________________________________________
This is the private VTK discussion list.
Please keep messages on-topic. Check the FAQ at: http://www.vtk.org/Wiki/VTK_FAQ
Follow this link to subscribe/unsubscribe:
http://www.vtk.org/mailman/listinfo/vtkusers